# -*- coding: utf-8 -*-
# Copyright 2016 Onestein (<http://www.onestein.eu>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from lxml import etree

from odoo import api, fields, models, tools, SUPERUSER_ID, _
from odoo.exceptions import UserError, ValidationError
from odoo.tools.safe_eval import safe_eval
from odoo.tools.translate import _

class status_type(models.Model):
    _name = 'http.status.type'
    _description = 'Http Status type'

    name = fields.Char(string="Name", required=True)

class httpstatus(models.Model):
    _name = 'http.status'
    _description = 'Http Status'
    _rec_name = 'code'

    code = fields.Char(string="Code", size=10, required=True)
    description = fields.Char(string="Description", required=True)
    type = fields.Many2one('http.status.type', 'Type',required=True)

